hpp-corbaserver: hpp::corbaServer::ServantFactoryBase< ServantBaseType > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::corbaServer::ServantFactoryBase< ServantBaseType > Class Template Referenceabstract
Extending the bindings

`#include <hpp/corbaserver/servant-base.hh>`

Inheritance diagram for hpp::corbaServer::ServantFactoryBase< ServantBaseType >:
[legend]

## Public Types
typedef ServantBaseType::Storage | Storage
typedef ServantBaseType::Object_var | Object_var

## Public Member Functions
| ServantFactoryBase (const size_type &depth)
virtual Object_var | servant (Server *server, const Storage &obj)=0
size_type | depth () const

## Detailed Description

### template<typename ServantBaseType>
class hpp::corbaServer::ServantFactoryBase< ServantBaseType >

Class used to dynamiccally cast HPP classes and create the corresponding servant.

See also
  HPP_CORBASERVER_ADD_DOWNCAST_OBJECT

## Member Typedef Documentation

## ◆ Object_var

template<typename ServantBaseType >

typedef ServantBaseType::Object_var hpp::corbaServer::ServantFactoryBase< ServantBaseType >::Object_var

## ◆ Storage

template<typename ServantBaseType >

typedef ServantBaseType::Storage hpp::corbaServer::ServantFactoryBase< ServantBaseType >::Storage

## Constructor & Destructor Documentation

## ◆ ServantFactoryBase()

template<typename ServantBaseType >

hpp::corbaServer::ServantFactoryBase< ServantBaseType >::ServantFactoryBase | ( | const size_type & | depth | ) |
| inline

## Member Function Documentation

## ◆ depth()

template<typename ServantBaseType >

size_type hpp::corbaServer::ServantFactoryBase< ServantBaseType >::depth | ( |  | ) | const
| inline

Get the depth in the hierarchy tree. This allows to ensure that child classes are always handled before parent classes.

## ◆ servant()

template<typename ServantBaseType >

virtual Object_var hpp::corbaServer::ServantFactoryBase< ServantBaseType >::servant | ( | Server * | server,
|  | const Storage & | obj
| ) |  |
| pure virtual

Implemented in hpp::corbaServer::ServantFactory< ServantBaseType, ServantType >.

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/servant-base.hh